public class TestCalcofiCoordConverter {
    public static void main (String[] args) {
        double x = Double.parseDouble(args[0]);
        double y = Double.parseDouble(args[1]);
        String projection = args[2];
        CalcofiCoordConverter crdtest = 
            new CalcofiCoordConverter(x, y, projection);
        
        String oldprojection;
        String newprojection;
        
        // initial projection
        oldprojection = crdtest.getProjection();
        System.out.println("Original coordinates");
        printProjectionInfo(crdtest);

        // do a conversion
        if (oldprojection.equals("calcofi")) {
            newprojection = "longlat";
        } else {
            newprojection = "calcofi";
        }
        crdtest.reproject(newprojection);
        System.out.println("New coordinates");
        printProjectionInfo(crdtest);

        // convert back to original coordinate system
        crdtest.reproject(oldprojection);
        System.out.println("Backtransformed coordinates");
        printProjectionInfo(crdtest);
    }

    private static void printProjectionInfo(
            CalcofiCoordConverter crdtest) {
        double[] coords;
        coords  = crdtest.getCoords();
        System.out.println("x " + coords[0]);
        System.out.println("y " + coords[1]);
        System.out.println("projection " + crdtest.getProjection());
        System.out.println();
    }
}

// java TestCalcofiCoordConverter 50 120 calcofi
// should give -129.2795 37.3462

// java TestCalcofiCoordConverter -121.15 34.15 longlat

// java TestCalcofiCoordConverter 80 60 calcofi
